# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: authorize.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()

from protubufs import user_pb2 as user__pb2

DESCRIPTOR = _descriptor.FileDescriptor(
    name='authorize.proto',
    package='todo_app',
    syntax='proto3',
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
    serialized_pb=b'\n\x0f\x61uthorize.proto\x12\x08todo_app\x1a\nuser.proto\"\x1c\n\x0b\x43redentials\x12\r\n\x05token\x18\x01 \x01(\t2D\n\x0c\x41uthenticate\x12\x34\n\x0bVerifyToken\x12\x15.todo_app.Credentials\x1a\x0e.todo_app.Userb\x06proto3'
    ,
    dependencies=[user__pb2.DESCRIPTOR, ])

_CREDENTIALS = _descriptor.Descriptor(
    name='Credentials',
    full_name='todo_app.Credentials',
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    create_key=_descriptor._internal_create_key,
    fields=[
        _descriptor.FieldDescriptor(
            name='token', full_name='todo_app.Credentials.token', index=0,
            number=1, type=9, cpp_type=9, label=1,
            has_default_value=False, default_value=b"".decode('utf-8'),
            message_type=None, enum_type=None, containing_type=None,
            is_extension=False, extension_scope=None,
            serialized_options=None, file=DESCRIPTOR,
            create_key=_descriptor._internal_create_key),
    ],
    extensions=[
    ],
    nested_types=[],
    enum_types=[
    ],
    serialized_options=None,
    is_extendable=False,
    syntax='proto3',
    extension_ranges=[],
    oneofs=[
    ],
    serialized_start=41,
    serialized_end=69,
)

DESCRIPTOR.message_types_by_name['Credentials'] = _CREDENTIALS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Credentials = _reflection.GeneratedProtocolMessageType('Credentials',
                                                       (_message.Message,), {
                                                           'DESCRIPTOR': _CREDENTIALS,
                                                           '__module__': 'authorize_pb2'
                                                           # @@protoc_insertion_point(class_scope:todo_app.Credentials)
                                                       })
_sym_db.RegisterMessage(Credentials)

_AUTHENTICATE = _descriptor.ServiceDescriptor(
    name='Authenticate',
    full_name='todo_app.Authenticate',
    file=DESCRIPTOR,
    index=0,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
    serialized_start=71,
    serialized_end=139,
    methods=[
        _descriptor.MethodDescriptor(
            name='VerifyToken',
            full_name='todo_app.Authenticate.VerifyToken',
            index=0,
            containing_service=None,
            input_type=_CREDENTIALS,
            output_type=user__pb2._USER,
            serialized_options=None,
            create_key=_descriptor._internal_create_key,
        ),
    ])
_sym_db.RegisterServiceDescriptor(_AUTHENTICATE)

DESCRIPTOR.services_by_name['Authenticate'] = _AUTHENTICATE

# @@protoc_insertion_point(module_scope)
